Bug 481040 - Review Request: skyeye - integrated simulation environment for typical Embedded Computer Systems
Review Request: skyeye - integrated simulation environment for typical Embedd...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
http://www.skyeye.org/index.shtml
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-21 16:19 EST by manuel wolfshant
Modified: 2009-04-15 14:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-15 14:40:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description manuel wolfshant 2009-01-21 16:19:04 EST
Spec URL: http://wolfy.fedorapeople.org/skyeye/skyeye.spec
SRPM URL: http://wolfy.fedorapeople.org/skyeye/skyeye-1.2.6-2.rc1.fc7.src.rpm
Description: Originating from GDB/Armulator, the goal of SkyEye is to provide an integrated simulation environment for typical Embedded Computer Systems. Now it supports a series ARM architecture based microprocessors and Blackfin DSP Processor. You can run some Embedded Operation System such as ARM Linux, uClinux, uc/OS-II (ucos-ii) etc. in SkyEye, and analysis or debug them at source level.

koji scratch build at: http://koji.fedoraproject.org/koji/taskinfo?taskID=1072452
EL-5 build in use for a couple of days in the company I work for.
Comment 1 manuel wolfshant 2009-01-23 10:04:50 EST
New version, with cosmetic fixes ( removal of redundant or duplicate BRs ):

Spec URL: http://wolfy.fedorapeople.org/skyeye/skyeye.spec
SRPM URL: http://wolfy.fedorapeople.org/skyeye/skyeye-1.2.6-3.rc1.fc7.src.rpm
Comment 2 Ralf Corsepius 2009-01-24 02:57:35 EST
Some remarks on your spec:

* BuildRequires:

> BuildRequires:	openssh, binutils
I don't understand why you "BR: openssh".

"BR: binutils" definitely is redundant. Could it be, you intend to 
"BR: binutils-devel" to pull in libiberty?


> BuildRequires:	glib-devel, xorg-x11-proto-devel
BR: glib-devel is very likely wrong (glib-devel is a glib1 package).
You likely intend to pull in glib2-devel, which already is implicitly pulled in by BR: gtk2-devel

BR: xorg-x11-proto-devel
I don't see any need to BR: this.

[You seem to be building on fc7. This could explain some of your BR's above, because IIRC, several of the packages you reference have seem some significant packaging cleanups since then.]


* Source code quality:
Building on FC10 exposes an "exciting amount" of "not-so-harmless" warnings.
Some of them definitely are worth going after and be fixed.

[I have never used skeeye myself, but co-workers, I occasionally work with are using it - AFAICT, they never managed to get skeeye working on x86_64. I can ask them on next occasion ;)]
Comment 3 manuel wolfshant 2009-01-24 06:56:09 EST
Thanks for the sharp eye and suggestions, Ralf.

>> BuildRequires:	openssh, binutils
>I don't understand why you "BR: openssh".
Because I trusted upstream (http://skyeye.wiki.sourceforge.net/UM8 )


>"BR: binutils" definitely is redundant. Could it be, you intend to 
>"BR: binutils-devel" to pull in libiberty?
Indeed. Fixed. For whoever looks at the build log: configure lies. -lbfd and -liberty are used later on, despite %configure saying they were not found.


>BR: glib-devel is very likely wrong (glib-devel is a glib1 package).
>You likely intend to pull in glib2-devel, which already is implicitly pulled in
by BR: gtk2-devel
You are correct. Fixed

>BR: xorg-x11-proto-devel
>I don't see any need to BR: this.
More cruft from upstream ("You may need to check following packages are exsiting ...x11-dev")

>[You seem to be building on fc7.]
Nope, I am building only in mock for EL-4,5 and rawhide. It just happens that my workstation (hence rpmbuild -bs) is F7. After approval the package should land in EL-5 ( that's where my major interest is ) and F>=10. Other versions only if I receive word that it's functional and someone volunteers for maintainance.


>* Source code quality:
>Building on FC10 exposes an "exciting amount" of "not-so-harmless" warnings.
>Some of them definitely are worth going after and be fixed.
I feel like I need to expose a bit of collateral background here: some of my colleagues needed to use skyeye on Centos-5 and needed it fast. So I figured that rather a configure/make/... mantra I'd rather package it ("quickly"). Using it did not reveal anything major (at least no one cried so far) so I figured that maybe including it in fedora would not be a bad idea. Chitlesh provided the small patch which allows compilation in Fedora and volunteered for co-maintainership so here I was with the bz.
As of fixing: I will gladly pass upstream any fix that we (we as in Fedora community) come up with. However my programming skills are rusty (I've given up this sport a long time ago) and I do not feel like being able to give birth to fixes [ for skyeye ] myself (unless they are very obvious)


Spec URL: http://wolfy.fedorapeople.org/skyeye/skyeye.spec
SRPM URL: http://wolfy.fedorapeople.org/skyeye/skyeye-1.2.6-4.rc1.fc7.src.rpm
Comment 4 Chitlesh GOORAH 2009-01-31 20:11:43 EST
(In reply to comment #2)
> * Source code quality:
> Building on FC10 exposes an "exciting amount" of "not-so-harmless" warnings.
> Some of them definitely are worth going after and be fixed.

Hello Ralf,

can you help to improve those warnings please?
Comment 5 Chitlesh GOORAH 2009-02-25 13:21:44 EST
Aanjhaan, could you please have a look at this package and see if you can improve it. Thanks
Comment 6 Aanjhan Ranganathan 2009-02-25 18:52:01 EST
Firstly, I updated the SPEC and SRPM for the latest upstream release which was done 4 days back. Will look into the warnings now. But in the meanwhile request a review of the update.

http://tuxmaniac.fedorapeople.org/SPECS/skyeye.spec
http://tuxmaniac.fedorapeople.org/skyeye-1.2.7-1.rc1.fc10.src.rpm
Comment 7 manuel wolfshant 2009-04-15 14:40:21 EDT
The project we were using this tool for has ended, so my interest for this packaged kind of vanished. And since no one seems interested in doing a review, I am retiring this review request.

Thanks Chitlesh and Aanjhan for the support.

Note You need to log in before you can comment on or make changes to this bug.